DVCSCertInfoBuilder (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.dvcs

## Class DVCSCertInfoBuilder

- java.lang.Object
- - org.bouncycastle.asn1.dvcs.DVCSCertInfoBuilder

-     public class DVCSCertInfoBuilder
      extends java.lang.Object

           DVCSCertInfo::= SEQUENCE  {
               version             Integer DEFAULT 1 ,
               dvReqInfo           DVCSRequestInformation,
               messageImprint      DigestInfo,
               serialNumber        Integer,
               responseTime        DVCSTime,
               dvStatus            [0] PKIStatusInfo OPTIONAL,
               policy              [1] PolicyInformation OPTIONAL,
               reqSignature        [2] SignerInfos  OPTIONAL,
               certs               [3] SEQUENCE SIZE (1..MAX) OF
                                       TargetEtcChain OPTIONAL,
               extensions          Extensions OPTIONAL
           }

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DVCSCertInfoBuilder(DVCSRequestInformation dvReqInfo, DigestInfo messageImprint, ASN1Integer serialNumber, DVCSTime responseTime)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DVCSCertInfo` | `build()`
    `void` | `setCerts(TargetEtcChain[] certs)`
    `void` | `setDvReqInfo(DVCSRequestInformation dvReqInfo)`
    `void` | `setDvStatus(PKIStatusInfo dvStatus)`
    `void` | `setExtensions(Extensions extensions)`
    `void` | `setMessageImprint(DigestInfo messageImprint)`
    `void` | `setPolicy(PolicyInformation policy)`
    `void` | `setReqSignature(ASN1Set reqSignature)`
    `void` | `setResponseTime(DVCSTime responseTime)`
    `void` | `setSerialNumber(ASN1Integer serialNumber)`
    `void` | `setVersion(int version)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DVCSCertInfoBuilder

          public DVCSCertInfoBuilder(DVCSRequestInformation dvReqInfo,
                                     DigestInfo messageImprint,
                                     ASN1Integer serialNumber,
                                     DVCSTime responseTime)

  - ### Method Detail

    - #### build

          public DVCSCertInfo build()

    - #### setVersion

          public void setVersion(int version)

    - #### setDvReqInfo

          public void setDvReqInfo(DVCSRequestInformation dvReqInfo)

    - #### setMessageImprint

          public void setMessageImprint(DigestInfo messageImprint)

    - #### setSerialNumber

          public void setSerialNumber(ASN1Integer serialNumber)

    - #### setResponseTime

          public void setResponseTime(DVCSTime responseTime)

    - #### setDvStatus

          public void setDvStatus(PKIStatusInfo dvStatus)

    - #### setPolicy

          public void setPolicy(PolicyInformation policy)

    - #### setReqSignature

          public void setReqSignature(ASN1Set reqSignature)

    - #### setCerts

          public void setCerts(TargetEtcChain[] certs)

    - #### setExtensions

          public void setExtensions(Extensions extensions)